发布于 3个月前

使用nmap扫描主机或CIDR是否存在CVE-2020-0796漏洞脚本

SMB 3.11版本存在CVE-2020-0796漏洞,可以使用nmap的smb-protocols脚本对主机或者CIDR(无类别域间路由)做扫描,检查SMB的版本是否为3.11。

shell脚本如下:

#!/bin/bash
if [ $# -eq 0 ]
  then
    echo $'Usage:\n\tcheck-smb-v3.11.sh TARGET_IP_or_CIDR'
    exit 1
fi
echo "Checking if there's SMB v3.11 in" $1 "..."
nmap -p445 --script smb-protocols -Pn -n $1 | grep -P '\d+\.\d+\.\d+\.\d+|^\|.\s+3.11' | tr '\n' ' ' | replace 'Nmap scan report for' '@' | tr "@" "\n" | grep 3.11 | tr '|' ' ' | tr '_' ' ' | grep -oP '\d+\.\d+\.\d+\.\d+'
if [[ $? != 0 ]]; then
    echo "There's no SMB v3.11"
fi
©2020 edoou.com   京ICP备16001874号-3